Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2836563002: [DMC #1.913] Rename DocumentMarkerController::RemoveMarkers() to RemoveMarkersOfTypes() (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months ago by rlanday
Modified:
2 months ago
Reviewers:
tkent, yosin_UTC9, Xiaocheng
CC:
blink-reviews, chromium-reviews, groby+blinkspell_chromium.org, kinuko+watch, timvolodine, Xiaocheng
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Rename DocumentMarkerController::RemoveMarkers() to RemoveMarkersOfTypes() yosin pointed out that it's confusing to have so many methods named RemoveMarkers(): https://codereview.chromium.org/2820633002#msg30 This is the third of several renaming CLs I'm going to upload BUG=707867 Review-Url: https://codereview.chromium.org/2836563002 Cr-Commit-Position: refs/heads/master@{#466575} Committed: https://chromium.googlesource.com/chromium/src/+/1945a87fa4e60d4749fc02db1a939e21c3470e63

Patch Set 1 #

Patch Set 2 : Rename to RemoveMarkersOfTypes() #

Total comments: 1

Patch Set 3 : Remove dependency #

Patch Set 4 : Rebase, remove dep #

Patch Set 5 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+13 lines, -11 lines) Patch
M third_party/WebKit/Source/core/editing/InputMethodController.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/editing/markers/DocumentMarkerController.h View 1 2 3 4 1 chunk +1 line, -2 lines 0 comments Download
M third_party/WebKit/Source/core/editing/markers/DocumentMarkerController.cpp View 1 2 3 4 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/core/editing/spellcheck/SpellChecker.cpp View 1 2 3 4 2 chunks +4 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/web/SpellCheckerClientImpl.cpp View 1 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/web/TextFinder.cpp View 1 2 chunks +5 lines, -3 lines 0 comments Download
Trybot results:  linux_android_rel_ng   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   chromium_presubmit   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_compile_dbg   android_cronet   android_arm64_dbg_recipe   android_clang_dbg_recipe   chromium_presubmit   win_clang   win_chromium_x64_rel_ng   win_chromium_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-simulator   ios-device-xcode-clang   ios-device   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_ozone_rel_ng   chromeos_daisy_chromium_compile_only_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_n5x_swarming_rel   android_compile_dbg   android_cronet   android_arm64_dbg_recipe   android_clang_dbg_recipe 
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 36 (22 generated)
rlanday
2 months ago (2017-04-21 03:42:17 UTC) #3
Xiaocheng
How about RemoveMarkersOfTypes? RemoveAllMarkers sounds like clearing everything.
2 months ago (2017-04-21 05:25:02 UTC) #6
rlanday
On 2017/04/21 at 05:25:02, xiaochengh wrote: > How about RemoveMarkersOfTypes? > > RemoveAllMarkers sounds like ...
2 months ago (2017-04-21 05:39:29 UTC) #9
Xiaocheng
lgtm
2 months ago (2017-04-21 07:59:54 UTC) #13
yosin_UTC9
lgtm https://codereview.chromium.org/2836563002/diff/20001/third_party/WebKit/Source/core/editing/markers/DocumentMarkerController.h File third_party/WebKit/Source/core/editing/markers/DocumentMarkerController.h (right): https://codereview.chromium.org/2836563002/diff/20001/third_party/WebKit/Source/core/editing/markers/DocumentMarkerController.h#newcode81 third_party/WebKit/Source/core/editing/markers/DocumentMarkerController.h:81: void RemoveMarkersOfTypes(DocumentMarker::MarkerTypes); Good catch! We should not use ...
2 months ago (2017-04-21 08:22:36 UTC) #14
commit-bot: I haz the power
This CL has an open dependency (Issue 2829723006 Patch 40001). Please resolve the dependency and ...
2 months ago (2017-04-21 08:30:20 UTC) #18
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2836563002/60001
2 months ago (2017-04-21 23:37:03 UTC) #21
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/418038)
2 months ago (2017-04-21 23:47:24 UTC) #23
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2836563002/80001
2 months ago (2017-04-22 10:00:11 UTC) #26
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/418160)
2 months ago (2017-04-22 10:07:23 UTC) #28
rlanday
Adding tkent as an OWNER of: third_party/WebKit/Source/web/SpellCheckerClientImpl.cpp third_party/WebKit/Source/web/TextFinder.cpp
2 months ago (2017-04-22 10:09:48 UTC) #30
tkent
lgtm
2 months ago (2017-04-23 23:48:05 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2836563002/80001
2 months ago (2017-04-23 23:48:14 UTC) #33
commit-bot: I haz the power
2 months ago (2017-04-24 01:15:02 UTC) #36
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/1945a87fa4e60d4749fc02db1a93...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318